package edu.mermet.tp8.fenetres;

import javax.swing.*;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.Preferences;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

public class Suggestion extends JInternalFrame {
    private JLabel message;
    private JButton fermer, plusAfficher;
    private String msg;
    //private Application appli;
    public int n;

    public Suggestion() {
        init();
        pack();
        setVisible(true);
        //this.appli=appli;
        //setLocationRelativeTo(null);
    }

    private void init() {
        setLayout(new BorderLayout());
        msg = getMessageAleatoire();
        message = new JLabel(msg);
        add(message, BorderLayout.CENTER);

        fermer = new JButton("Fermer");
        fermer.addActionListener(new ActionFermer());

        plusAfficher = new JButton("Ne plus afficher");
        plusAfficher.addActionListener(new ActionStopAfficher());

        JPanel pBtn = new JPanel(new FlowLayout(FlowLayout.CENTER));
        pBtn.add(fermer);
        pBtn.add(plusAfficher);

        add(pBtn, BorderLayout.SOUTH);
    }

    private String getMessageAleatoire() {
        String res = "";
        try {
            Properties propSugg = new Properties();
            InputStream inputSugg = new FileInputStream("./src/main/resources/suggestions.properties");
            propSugg.load(inputSugg);

            n = (int) (Math.random() * propSugg.size());
            System.out.println(n);
            res = propSugg.getProperty("sug" + n);
        } catch (IOException e) {
            e.printStackTrace();
        }

        return res;
    }

    private class ActionFermer implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent e) {
        	// TODO Auto-generated method stub
        	Preferences p = Preferences.getPreferences();
            p.setPreference("sug", "vrai");
            p.enregistrerPreferences();
            dispose();
            dispose();

        }
    }

    private class ActionStopAfficher implements ActionListener {

    	public ActionStopAfficher() {
			// TODO Auto-generated constructor stub
		}
    	@Override
		public void actionPerformed(ActionEvent arg0) {
			// TODO Auto-generated method stub
    		Preferences p = Preferences.getPreferences();
            p.setPreference("sug", "faux");
            p.enregistrerPreferences();
            dispose();
            //appli.enregistrer();
        }

      
    }
}
